# ! -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.http import HttpResponseRedirect
from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool

from jmb.core.middleware.force_response import ForceResponse
from acomea.settings.cms.models import SoapRedirectSettings


class SoapRedirectPlugin(CMSPluginBase):
    module = _('Settings')
    model = SoapRedirectSettings
    name = _('Soap redirect')
    admin_preview = False
    render_template = "bootstrap3/settings/cms_plugins/empty.html"

    def render(self, context, instance, placeholder):
        site = instance.site
        if site.settings and not site.settings.is_soap_enabled and site.settings.soap_off_redirect_url:
            raise ForceResponse(HttpResponseRedirect(site.settings.soap_off_redirect_url))
        context.update({'instance': instance})
        return context


plugin_pool.register_plugin(SoapRedirectPlugin)